> For the complete documentation index, see [llms.txt](https://docs.cometh.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cometh.io/core-features/sign-verify-a-message.md).

# Sign/Verify a message

With Cometh Connect, we deploy a smart account for our users.&#x20;

With Connect, we deploy the smart account at the first transaction of the user, allowing to reduce gas cost for our clients (it's a feature called lazy deployment). You might want to verify the signature of a wallet that is not yet deployed. We follow the [ERC6492 standard t](https://eips.ethereum.org/EIPS/eip-6492)o enable this.

In practice, this is what it looks like:

```typescript
import { createPublicClient, http } from "viem"

const message = "hello world";
const signature = await smartAccountClient.account.signMessage({ message });

export const publicClient = createPublicClient({
  chain,
  transport: http()
})

const valid = await publicClient.verifyMessage({
  address: smartAccountClient.account.address,
  message,
  signature,
})
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cometh.io/core-features/sign-verify-a-message.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
